Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::MultiSegmentPlacer Class Reference

A polyline-shaped particle placer. More...

Inheritance diagram for osgParticle::MultiSegmentPlacer:

[legend]
List of all members.

## Public Member Functions
| MultiSegmentPlacer ()
| MultiSegmentPlacer (const MultiSegmentPlacer &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgParticle, MultiSegmentPlacer)
int | numVertices () const
| Get the number of vertices which define the segments.
const osg::Vec3 & | getVertex (int i) const
| Get a vertex.
void | setVertex (int i, const osg::Vec3 &v)
| Set a vertex.
void | setVertex (int i, float x, float y, float z)
| Set a vertex.
void | addVertex (const osg::Vec3 &v)
| Add a vertex.
void | addVertex (float x, float y, float z)
| Add a vertex.
void | removeVertex (int i)
| Remove a vertex.
void | place (Particle *P) const
| Place a partice. Called automatically by `ModularEmitter`, do not call this method manually.
osg::Vec3 | getControlPosition () const
| return the control position
## Protected Member Functions
virtual | ~MultiSegmentPlacer ()
MultiSegmentPlacer & | operator= (const MultiSegmentPlacer &)

## Detailed Description

A polyline-shaped particle placer.

This placer class sets the position of incoming particles by choosing a random point on the specified sequence of connected segments.

## Constructor & Destructor Documentation

osgParticle::MultiSegmentPlacer::MultiSegmentPlacer | ( |  | ) |

osgParticle::MultiSegmentPlacer::MultiSegmentPlacer | ( | const MultiSegmentPlacer & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

virtual osgParticle::MultiSegmentPlacer::~MultiSegmentPlacer | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void osgParticle::MultiSegmentPlacer::addVertex | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Add a vertex.

void osgParticle::MultiSegmentPlacer::addVertex | ( | const osg::Vec3 & | v | ) | `[inline]`

| Add a vertex.

osg::Vec3 osgParticle::MultiSegmentPlacer::getControlPosition | ( |  | ) | const`[inline, virtual]`

| return the control position Implements osgParticle::Placer.

const osg::Vec3 & osgParticle::MultiSegmentPlacer::getVertex | ( | int | i | ) | const`[inline]`

| Get a vertex.

osgParticle::MultiSegmentPlacer::META_Object | ( | osgParticle | ,
|  | MultiSegmentPlacer |
| ) |

int osgParticle::MultiSegmentPlacer::numVertices | ( |  | ) | const`[inline]`

| Get the number of vertices which define the segments.

MultiSegmentPlacer& osgParticle::MultiSegmentPlacer::operator= | ( | const MultiSegmentPlacer & |  | ) | `[inline, protected]`

void osgParticle::MultiSegmentPlacer::place | ( | Particle * | P | ) | const`[virtual]`

| Place a partice. Called automatically by `ModularEmitter`, do not call this method manually. Implements osgParticle::Placer.

void osgParticle::MultiSegmentPlacer::removeVertex | ( | int | i | ) | `[inline]`

| Remove a vertex.

void osgParticle::MultiSegmentPlacer::setVertex | ( | int | i,
|  | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Set a vertex.

void osgParticle::MultiSegmentPlacer::setVertex | ( | int | i,
|  | const osg::Vec3 & | v
| ) | `[inline]`

| Set a vertex.

The documentation for this class was generated from the following file:

- MultiSegmentPlacer